Bug 1269667 - mouse event for unknown monitor (0 >= 0) - mouse lost [NEEDINFO]
mouse event for unknown monitor (0 >= 0) - mouse lost
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Alon Levy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 17:45 EDT by poma
Modified: 2016-01-29 13:03 EST (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 11:18:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pomidorabelisima: needinfo? (cfergeau)
pomidorabelisima: needinfo? (fziglio)


Attachments (Terms of Use)
vga=ask (21.86 KB, image/png)
2015-10-09 05:23 EDT, poma
no flags Details
initramfs-4.3.0-0.rc4.git3.1.fc24.x86_64.img.diff (96.89 KB, text/plain)
2015-10-12 19:26 EDT, poma
no flags Details

  None (edit)
Description poma 2015-10-07 17:45:00 EDT
- 1st session - mouse overall functionality non existent

dmesg:
...
[Wed Oct  7 22:58:21 2015] [drm:qxl_enc_commit [qxl]] *ERROR* head number too large or missing monitors config: ffffc9000051e000, 0
[Wed Oct  7 22:58:21 2015] [drm:qxl_enc_commit [qxl]] *ERROR* head number too large or missing monitors config: ffffc9000051e000, 0
[Wed Oct  7 22:58:21 2015] [drm:qxl_enc_commit [qxl]] *ERROR* head number too large or missing monitors config: ffffc9000051e000, 0
...
[Wed Oct  7 22:58:31 2015] input: spice vdagent tablet as /devices/virtual/input/input5
...

journal - spice-vdagentd:
...
Oct 07 22:58:20 localhost.localdomain systemd[1]: Starting Agent daemon for Spice guests...
Oct 07 22:58:20 localhost.localdomain systemd[1]: spice-vdagentd.service: PID file /var/run/spice-vdagentd/spice-vdagentd.pid not readable (yet?) after start: No such file or directory
Oct 07 22:58:20 localhost.localdomain systemd[1]: Started Agent daemon for Spice guests.
Oct 07 22:58:32 localhost.localdomain spice-vdagentd[630]: opening vdagent virtio channel
Oct 07 22:58:32 localhost.localdomain spice-vdagentd[630]: Set max clipboard: 104857600
- this is the moment where the mouse is lost, probably hungry looking for pasta al burro e parmigiano
Oct 07 22:58:33 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:33 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:35 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:58:36 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
Oct 07 22:59:39 localhost.localdomain spice-vdagentd[630]: mouse event for unknown monitor (0 >= 0)
...

 == RE-LOGIN ==

- 2nd session - mouse working

dmesg:
...
[Wed Oct  7 22:59:44 2015] [drm:qxl_enc_commit [qxl]] *ERROR* head number too large or missing monitors config: ffffc9000051e000, 0
[Wed Oct  7 22:59:45 2015] [drm:qxl_enc_commit [qxl]] *ERROR* head number too large or missing monitors config: ffffc9000051e000, 0
[Wed Oct  7 22:59:50 2015] input: spice vdagent tablet as /devices/virtual/input/input6
...

journal - spice-vdagentd:
...
Oct 07 22:59:45 localhost.localdomain spice-vdagentd[630]: closed vdagent virtio channel
Oct 07 22:59:51 localhost.localdomain spice-vdagentd[630]: opening vdagent virtio channel
Oct 07 22:59:51 localhost.localdomain spice-vdagentd[630]: Set max clipboard: 104857600


runs via virt-manager/libvirtd:
qemu-system-x86_64 ... -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -spice port=5900,addr=127.0.0.1,disable-ticketing,seamless-migration=on -device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,vgamem_mb=16,bus=pci.0,addr=0x2 ...


rpm -q --changelog xorg-x11-drv-qxl
* Wed Oct 07 2015 poma <poma@gmail.com> 0.1.4-20
- Update to git commit dcd02ad 2015-09-09

rpm -q --changelog spice-vdagent 
* Tue Sep 15 2015 poma <poma@gmail.com> - 0.16.0-4
- Update to git commit 0159111 2015-09-15

uname -r
4.3.0-0.rc4.git1.1.fc24.x86_64

This happens with the installed system, not with LiveCD.

Tested with Rawhide-Xfce-Live-1007.iso
Comment 1 poma 2015-10-09 02:14:40 EDT
- 1st session seen via xrandr:
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
Virtual-0 disconnected
Virtual-1 disconnected
Virtual-2 disconnected
Virtual-3 disconnected
Comment 2 poma 2015-10-09 02:20:22 EDT
In the above example RE-LOGIN and 2nd X session (with a recuperated mouse functionality) -is- possible,
but only due to usage of:

/etc/lightdm/lightdm.conf
display-setup-script=/usr/bin/RandR
xrandr --newmode "widthxheight"  ...
xrandr --addmode Virtual-0 widthxheight ...
xrandr --output Virtual-0 --mode widthxheight ...

to override relatively low default display resolution.

But in fact without it, the following is actually happening:

 == RE-LOGIN ==

/var/log/Xorg.0.log
...
[   126.755] (II) qxl(0): Output Virtual-0 has no monitor section
[   126.755] (II) qxl(0): Output Virtual-1 has no monitor section
[   126.755] (II) qxl(0): Output Virtual-2 has no monitor section
[   126.755] (II) qxl(0): Output Virtual-3 has no monitor section
[   126.755] (II) qxl(0): EDID for output Virtual-0
[   126.755] (II) qxl(0): EDID for output Virtual-1
[   126.755] (II) qxl(0): EDID for output Virtual-2
[   126.755] (II) qxl(0): EDID for output Virtual-3
[   126.755] (II) qxl(0): Output Virtual-0 disconnected
[   126.755] (II) qxl(0): Output Virtual-1 disconnected
[   126.755] (II) qxl(0): Output Virtual-2 disconnected
[   126.755] (II) qxl(0): Output Virtual-3 disconnected
[   126.755] (WW) qxl(0): No outputs definitely connected, trying again...
[   126.755] (II) qxl(0): Output Virtual-0 disconnected
[   126.755] (II) qxl(0): Output Virtual-1 disconnected
[   126.755] (II) qxl(0): Output Virtual-2 disconnected
[   126.755] (II) qxl(0): Output Virtual-3 disconnected
[   126.755] (WW) qxl(0): Unable to find connected outputs - setting 1024x768 initial framebuffer
[   126.755] (II) qxl(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[   126.755] (II) qxl(0): PreInit complete
...

Because of this 2nd X session is not possible.
Comment 3 poma 2015-10-09 04:51:41 EDT
This problem is induced by graphics video modes.

Spice Server & video modes:

- BROKEN   vga=[ VESA >= 320x200x8 ]
- WORKING  vga=[ VESA <= 80x25 ] or [ VGA ]

As reference, VNC Server works with all video modes.

See:
https://www.kernel.org/doc/Documentation/kernel-parameters.txt
Comment 4 poma 2015-10-09 04:59:13 EDT
To be more precise,
this problem is induced by graphics video modes used exclusively with the initramfs image generated in default "hostonly" mode.
Comment 5 poma 2015-10-09 05:09:27 EDT
Mister Hoyer, do you have some idea regarding the initramfs part of this problem, i.e. "broken" "hostonly" mode vs "no-hostonly"(rescue) mode?
Comment 6 poma 2015-10-09 05:23 EDT
Created attachment 1081232 [details]
vga=ask

SeaBIOS
Comment 7 Harald Hoyer 2015-10-09 11:59:29 EDT
(In reply to poma from comment #5)
> Mister Hoyer, do you have some idea regarding the initramfs part of this
> problem, i.e. "broken" "hostonly" mode vs "no-hostonly"(rescue) mode?

? missing driver in the hostonly part?

Check the kernel modules loaded in both variants.
Comment 8 poma 2015-10-09 15:07:39 EDT
Tested also with:
- spice-vdagent-0.15.0-5.fc23.x86_64
- spice-vdagent-0.16.0-1.fc23.x86_64
- spice-vdagent-0.16.0-2.fc24.x86_64
- xorg-x11-drv-qxl-0.1.4-4.fc24.x86_64
- xorg-x11-drv-qxl-0.1.4-5.fc24.x86_64
- xorg-x11-drv-qxl-0.1.4-6.fc24.x86_64
- QEMU emulator version 2.3.1 (qemu-2.3.1-7.fc24), Copyright (c) 2003-2008 Fabrice Bellard

Sameo.
Comment 9 poma 2015-10-09 15:49:02 EDT
(In reply to Harald Hoyer from comment #7)
> (In reply to poma from comment #5)
> > Mister Hoyer, do you have some idea regarding the initramfs part of this
> > problem, i.e. "broken" "hostonly" mode vs "no-hostonly"(rescue) mode?
> 
> ? missing driver in the hostonly part?
> 
> Check the kernel modules loaded in both variants.


Nothing special with modules,

diff lsmod-hostonly-sort-awk-print-1.txt lsmod-rescue-sort-awk-print-1.txt
0a1
> 8021q
11a13
> garp
28a31
> mrp
Comment 10 poma 2015-10-10 00:04:39 EDT
QEMU emulator version 2.3.1 (qemu-2.3.1-7.fc22), Copyright (c) 2003-2008 Fabrice Bellard

journal - spice-vdagentd debug:
...
Oct 09 23:50:27 localhost.localdomain systemd[1]: Starting Agent daemon for Spice guests...
Oct 09 23:50:27 localhost.localdomain systemd[1]: spice-vdagentd.service: PID file /var/run/spice-vdagentd/spice-vdagentd.pid not readable (yet?) after start: No such file or directory
Oct 09 23:50:27 localhost.localdomain systemd[1]: Started Agent daemon for Spice guests.
Oct 09 23:50:29 localhost.localdomain spice-vdagentd[600]: Active session: c1
Oct 09 23:50:34 localhost.localdomain spice-vdagentd[600]: Active session: 1
Oct 09 23:50:35 localhost.localdomain spice-vdagentd[600]: new client accepted: 0x561d98ca78b0, pid: 1244
Oct 09 23:50:35 localhost.localdomain spice-vdagentd[600]: Session for pid 1244: 1
Oct 09 23:50:35 localhost.localdomain spice-vdagentd[600]: 0x561d98ca78b0 sent version, arg1: 0, arg2: 0, size 7
Oct 09 23:50:35 localhost.localdomain spice-vdagentd[600]: 0x561d98ca78b0 is now the active session
Oct 09 23:50:36 localhost.localdomain spice-vdagentd[600]: 0x561d98ca78b0 received guest xorg resolution, arg1: 1024, arg2: 768, size 16
Oct 09 23:50:36 localhost.localdomain spice-vdagentd[600]: uinput-update-size: 1024x768
Oct 09 23:50:36 localhost.localdomain spice-vdagentd[600]: screen 0: +0+0
Oct 09 23:50:36 localhost.localdomain spice-vdagentd[600]: opening vdagent virtio channel
Oct 09 23:50:36 localhost.localdomain spice-vdagentd[600]: 0x561d98ca78b0 received guest xorg resolution, arg1: 1440, arg2: 900, size 16
Oct 09 23:50:36 localhost.localdomain spice-vdagentd[600]: uinput-update-size: 1440x900
Oct 09 23:50:36 localhost.localdomain spice-vdagentd[600]: screen 0: +0+0
Oct 09 23:50:36 localhost.localdomain spice-vdagentd[600]: 0x561d98ca78b0 received guest xorg resolution, arg1: 1440, arg2: 900, size 16
Oct 09 23:50:36 localhost.localdomain spice-vdagentd[600]: uinput-update-size: 1440x900
Oct 09 23:50:36 localhost.localdomain spice-vdagentd[600]: screen 0: +0+0
Oct 09 23:52:16 localhost.localdomain systemd[1]: Stopping Agent daemon for Spice guests...
Oct 09 23:53:46 localhost.localdomain systemd[1]: spice-vdagentd.service: State 'stop-sigterm' timed out. Killing.
Oct 09 23:53:46 localhost.localdomain systemd[1]: spice-vdagentd.service: Main process exited, code=killed, status=9/KILL
Oct 09 23:53:46 localhost.localdomain systemd[1]: Stopped Agent daemon for Spice guests.
Oct 09 23:53:46 localhost.localdomain systemd[1]: spice-vdagentd.service: Unit entered failed state.
Oct 09 23:53:46 localhost.localdomain systemd[1]: spice-vdagentd.service: Failed with result 'signal'.

Why does not stop properly?
Comment 11 poma 2015-10-10 01:11:05 EDT
QEMU emulator version 2.4.0.1 (qemu-2.4.0.1-2.fc24), Copyright (c) 2003-2008 Fabrice Bellard

w/ vga=0x315

journal - spice-vdagentd debug:
...
Oct 10 00:18:10 localhost.localdomain systemd[1]: Starting Agent daemon for Spice guests...
Oct 10 00:18:10 localhost.localdomain systemd[1]: Started Agent daemon for Spice guests.
Oct 10 00:18:18 localhost.localdomain spice-vdagentd[597]: Active session: c1
Oct 10 00:18:30 localhost.localdomain spice-vdagentd[597]: Error getting active session: No data available
Oct 10 00:18:30 localhost.localdomain spice-vdagentd[597]: Error getting active session: No data available
Oct 10 00:18:30 localhost.localdomain spice-vdagentd[597]: Active session: 1
Oct 10 00:18:34 localhost.localdomain spice-vdagentd[597]: new client accepted: 0x55a477ae8a40, pid: 1278
Oct 10 00:18:34 localhost.localdomain spice-vdagentd[597]: Session for pid 1278: 1
Oct 10 00:18:34 localhost.localdomain spice-vdagentd[597]: 0x55a477ae8a40 sent version, arg1: 0, arg2: 0, size 7
Oct 10 00:18:34 localhost.localdomain spice-vdagentd[597]: 0x55a477ae8a40 is now the active session
Oct 10 00:18:34 localhost.localdomain spice-vdagentd[597]: 0x55a477ae8a40 received guest xorg resolution, arg1: 1024, arg2: 768, size 16
Oct 10 00:18:34 localhost.localdomain spice-vdagentd[597]: uinput-update-size: 1024x768
Oct 10 00:18:34 localhost.localdomain spice-vdagentd[597]: screen 0: +0+0
Oct 10 00:18:34 localhost.localdomain spice-vdagentd[597]: opening vdagent virtio channel
Oct 10 00:18:34 localhost.localdomain spice-vdagentd[597]: New client connected
Oct 10 00:18:34 localhost.localdomain spice-vdagentd[597]: Set max clipboard: 104857600
Oct 10 00:18:35 localhost.localdomain spice-vdagentd[597]: 0x55a477ae8a40 received guest xorg resolution, arg1: 1024, arg2: 768, size 0
Oct 10 00:18:35 localhost.localdomain spice-vdagentd[597]: uinput-update-size: 1024x768
Oct 10 00:18:36 localhost.localdomain spice-vdagentd[597]: 0x55a477ae8a40 sent audio volume sync, arg1: 0, arg2: 0, size 7
Oct 10 00:18:52 localhost.localdomain spice-vdagentd[597]: mouse event for unknown monitor (0 >= 0)
...
Oct 10 00:20:32 localhost.localdomain spice-vdagentd[597]: mouse event for unknown monitor (0 >= 0)
Oct 10 00:20:48 localhost.localdomain systemd[1]: Stopping Agent daemon for Spice guests...
Oct 10 00:20:48 localhost.localdomain spice-vdagentd[597]: (nil) is now the active session
Oct 10 00:20:48 localhost.localdomain spice-vdagentd[597]: 0x55a477ae8a40 disconnected
Oct 10 00:20:48 localhost.localdomain spice-vdagentd[597]: vdagentd quiting, returning status 0
Oct 10 00:20:48 localhost.localdomain systemd[1]: Stopped Agent daemon for Spice guests.


QEMU emulator version 2.4.0.1 (qemu-2.4.0.1-1.fc24), Copyright (c) 2003-2008 Fabrice Bellard

w/ vga=0x315

journal - spice-vdagentd debug:
...
Oct 10 00:51:18 localhost.localdomain systemd[1]: Starting Agent daemon for Spice guests...
Oct 10 00:51:19 localhost.localdomain systemd[1]: Started Agent daemon for Spice guests.
Oct 10 00:51:27 localhost.localdomain spice-vdagentd[586]: Active session: c1
Oct 10 00:51:38 localhost.localdomain spice-vdagentd[586]: Active session: 1
Oct 10 00:51:42 localhost.localdomain spice-vdagentd[586]: new client accepted: 0x55ef544e68b0, pid: 1262
Oct 10 00:51:42 localhost.localdomain spice-vdagentd[586]: Session for pid 1262: 1
Oct 10 00:51:42 localhost.localdomain spice-vdagentd[586]: 0x55ef544e68b0 sent version, arg1: 0, arg2: 0, size 7
Oct 10 00:51:42 localhost.localdomain spice-vdagentd[586]: 0x55ef544e68b0 is now the active session
Oct 10 00:51:42 localhost.localdomain spice-vdagentd[586]: 0x55ef544e68b0 received guest xorg resolution, arg1: 1440, arg2: 900, size 16
Oct 10 00:51:42 localhost.localdomain spice-vdagentd[586]: uinput-update-size: 1440x900
Oct 10 00:51:42 localhost.localdomain spice-vdagentd[586]: screen 0: +0+0
Oct 10 00:51:43 localhost.localdomain spice-vdagentd[586]: opening vdagent virtio channel
Oct 10 00:51:43 localhost.localdomain spice-vdagentd[586]: New client connected
Oct 10 00:51:43 localhost.localdomain spice-vdagentd[586]: Set max clipboard: 104857600
Oct 10 00:51:43 localhost.localdomain spice-vdagentd[586]: 0x55ef544e68b0 sent audio volume sync, arg1: 0, arg2: 0, size 7
Oct 10 00:51:43 localhost.localdomain spice-vdagentd[586]: 0x55ef544e68b0 received guest xorg resolution, arg1: 1440, arg2: 900, size 0
Oct 10 00:51:43 localhost.localdomain spice-vdagentd[586]: uinput-update-size: 1440x900
Oct 10 00:51:51 localhost.localdomain spice-vdagentd[586]: mouse event for unknown monitor (0 >= 0)
...
Oct 10 00:52:36 localhost.localdomain spice-vdagentd[586]: mouse event for unknown monitor (0 >= 0)
Oct 10 00:53:03 localhost.localdomain systemd[1]: Stopping Agent daemon for Spice guests...
Oct 10 00:53:03 localhost.localdomain spice-vdagentd[586]: (nil) is now the active session
Oct 10 00:53:03 localhost.localdomain spice-vdagentd[586]: 0x55ef544e68b0 disconnected
Oct 10 00:53:03 localhost.localdomain spice-vdagentd[586]: vdagentd quiting, returning status 0
Oct 10 00:53:03 localhost.localdomain systemd[1]: Stopped Agent daemon for Spice guests.


QEMU emulator version 2.4.0.1 (qemu-2.4.0.1-2.fc24), Copyright (c) 2003-2008 Fabrice Bellard

w/ vga=[NORMAL_VGA - standard 80x25 mode - 0  0F00]

journal - spice-vdagentd debug:
...
Oct 10 00:24:49 localhost.localdomain systemd[1]: Starting Agent daemon for Spice guests...
Oct 10 00:24:50 localhost.localdomain systemd[1]: spice-vdagentd.service: PID file /var/run/spice-vdagentd/spice-vdagentd.pid not readable (yet?) after start: No such file or directory
Oct 10 00:24:50 localhost.localdomain systemd[1]: Started Agent daemon for Spice guests.
Oct 10 00:24:58 localhost.localdomain spice-vdagentd[576]: Active session: c1
Oct 10 00:25:05 localhost.localdomain spice-vdagentd[576]: Active session: 1
Oct 10 00:25:09 localhost.localdomain spice-vdagentd[576]: new client accepted: 0x5653007ee8b0, pid: 1248
Oct 10 00:25:09 localhost.localdomain spice-vdagentd[576]: Session for pid 1248: 1
Oct 10 00:25:09 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 sent version, arg1: 0, arg2: 0, size 7
Oct 10 00:25:09 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 is now the active session
Oct 10 00:25:09 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 received guest xorg resolution, arg1: 1024, arg2: 768, size 16
Oct 10 00:25:09 localhost.localdomain spice-vdagentd[576]: uinput-update-size: 1024x768
Oct 10 00:25:09 localhost.localdomain spice-vdagentd[576]: screen 0: +0+0
Oct 10 00:25:09 localhost.localdomain spice-vdagentd[576]: opening vdagent virtio channel
Oct 10 00:25:09 localhost.localdomain spice-vdagentd[576]: New client connected
Oct 10 00:25:09 localhost.localdomain spice-vdagentd[576]: Set max clipboard: 104857600
Oct 10 00:25:10 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 sent audio volume sync, arg1: 0, arg2: 0, size 7
Oct 10 00:25:15 localhost.localdomain spice-vdagentd[576]: mouse-event: mon 0 311x235
Oct 10 00:25:15 localhost.localdomain spice-vdagentd[576]: mouse: abs-x 311
Oct 10 00:25:15 localhost.localdomain spice-vdagentd[576]: mouse: abs-y 235
Oct 10 00:25:15 localhost.localdomain spice-vdagentd[576]: mouse: syn
...
Oct 10 00:25:18 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 received guest xorg resolution, arg1: 1440, arg2: 900, size 16
Oct 10 00:25:18 localhost.localdomain spice-vdagentd[576]: uinput-update-size: 1440x900
Oct 10 00:25:18 localhost.localdomain spice-vdagentd[576]: screen 0: +0+0
Oct 10 00:25:18 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 received guest xorg resolution, arg1: 1440, arg2: 900, size 16
Oct 10 00:25:18 localhost.localdomain spice-vdagentd[576]: uinput-update-size: 1440x900
Oct 10 00:25:18 localhost.localdomain spice-vdagentd[576]: screen 0: +0+0
Oct 10 00:25:19 localhost.localdomain spice-vdagentd[576]: mouse-event: mon 0 1033x555
Oct 10 00:25:19 localhost.localdomain spice-vdagentd[576]: mouse: abs-x 1033
Oct 10 00:25:19 localhost.localdomain spice-vdagentd[576]: mouse: abs-y 555
Oct 10 00:25:19 localhost.localdomain spice-vdagentd[576]: mouse: syn
...
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 received clipboard grab, arg1: 1, arg2: 0, size 4
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: mouse-event: mon 0 169x109
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: mouse: btn-left down
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: mouse: syn
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: mouse-event: mon 0 169x109
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: mouse: btn-left up
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: mouse: syn
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 received clipboard release, arg1: 1, arg2: 0, size 0
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 received clipboard grab, arg1: 1, arg2: 0, size 4
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 sent clipboard request, arg1: 1, arg2: 1, size 0
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 received clipboard data, arg1: 1, arg2: 1, size 25
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: mouse-event: mon 0 169x109
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: mouse: btn-left down
Oct 10 00:25:49 localhost.localdomain spice-vdagentd[576]: mouse: syn
...
Oct 10 00:25:56 localhost.localdomain spice-vdagentd[576]: mouse-event: mon 0 511x235
Oct 10 00:25:56 localhost.localdomain spice-vdagentd[576]: mouse: abs-x 511
Oct 10 00:25:56 localhost.localdomain spice-vdagentd[576]: mouse: abs-y 235
Oct 10 00:25:56 localhost.localdomain spice-vdagentd[576]: mouse: syn
Oct 10 00:25:59 localhost.localdomain systemd[1]: Stopping Agent daemon for Spice guests...
Oct 10 00:25:59 localhost.localdomain spice-vdagentd[576]: (nil) is now the active session
Oct 10 00:25:59 localhost.localdomain spice-vdagentd[576]: 0x5653007ee8b0 disconnected
Oct 10 00:25:59 localhost.localdomain spice-vdagentd[576]: vdagentd quiting, returning status 0
Oct 10 00:25:59 localhost.localdomain systemd[1]: Stopped Agent daemon for Spice guests.
Comment 12 poma 2015-10-10 01:19:24 EDT
As seen in the demonstrated logs, in contrast to Rawhide, this this particular problem does not occur on Fedora Stable - 22, with the exception of the other problem - broken "Stopping Agent daemon for Spice guests".
Comment 13 poma 2015-10-10 03:36:05 EDT
With regard to this problem:

qemu-2.3.1-4.fc22  BROKEN
qemu-2.3.1-5.fc22  BROKEN
qemu-2.3.1-6.fc22  BROKEN
qemu-2.3.1-7.fc22  OK
qemu-2.3.1-7.fc24 (qemu-2.3.1-7.fc22 Rawhide rebuild)  BROKEN

diff qemu-2.3.1-6.fc22 qemu-2.3.1-7.fc22 :

# CVE-2015-7295: virtio-net possible remote DoS (bz #1264393)
Patch0016: 0016-virtio-introduce-virtqueue_unmap_sg.patch
Patch0017: 0017-virtio-introduce-virtqueue_discard.patch
Patch0018: 0018-virtio-net-correctly-drop-truncated-packets.patch
# drive-mirror: Fix coroutine reentrance (bz #1266936)
Patch0019: 0019-mirror-Fix-coroutine-reentrance.patch
# Fix udp socket 'localaddr' (bz #1268708)
Patch0020: 0020-util-socket-Add-missing-localaddr-and-localport-opti.patch


It turns out only qemu-2.3.1-7 on Fedora 22 works, thanks to some of the five patches.
Hmm
Comment 14 poma 2015-10-11 19:16:33 EDT
w/ disabled spice-vdagent auto start:

.config/autostart/spice-vdagent.desktop 
[Desktop Entry]
Hidden=true


- 1st X session

# xrandr --display :0
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
Virtual-0 connected 1024x768+0+0 0mm x 0mm
   1024x768      59.92*+  60.02  
   1920x1200     59.88  
   1920x1080     59.96  
   1600x1200     59.87  
   1680x1050     59.95  
   1400x1050     59.98  
   1280x1024     59.89  
   1440x900      59.89  
   1280x960      59.94  
   1280x854      59.89  
   1280x800      59.81  
   1280x720      59.86  
   1152x768      59.78  
   800x600       59.86  
   848x480       59.66  
   720x480       59.71  
   640x480       59.38  
Virtual-1 disconnected
Virtual-2 disconnected
Virtual-3 disconnected


$ /usr/bin/spice-vdagent -d -x
spice-vdagent[1605]: 0x55e343a6bdc0 connected to /var/run/spice-vdagentd/spice-vdagent-sock
spice-vdagent[1605]: Selection window: 52428801
spice-vdagent[1605]: Screen 0 1024x768+0+0
spice-vdagent[1605]: 0x55e343a6bdc0 sent guest xorg resolution, arg1: 1024, arg2: 768, size 16
spice-vdagent[1605]: net_wm_name: "Xfwm4", has icons: 1
spice-vdagent[1605]: 0x55e343a6bdc0 received version, arg1: 0, arg2: 0, size 7
spice-vdagent[1605]: 0x55e343a6bdc0 sent guest xorg resolution, arg1: 1024, arg2: 768, size 0
spice-vdagent[1605]: unhandled x11 event, type 33, window 631
spice-vdagent[1605]: 0x55e343a6bdc0 received audio volume sync, arg1: 0, arg2: 0, size 7
spice-vdagent[1605]: vdagent_audio_playback_sync mute=yes nchannels=2
spice-vdagent[1605]: vdagent-audio: (playback-left) 0 (%0.00)
spice-vdagent[1605]: vdagent-audio: (playback-right) 0 (%0.00)
spice-vdagent[1605]: 0x55e343a6bdc0 received clipboard release, arg1: 1, arg2: 0, size 0
spice-vdagent[1605]: primary: received release while not owning client clipboard
spice-vdagent[1605]: 0x55e343a6bdc0 received clipboard grab, arg1: 1, arg2: 0, size 4
spice-vdagent[1605]: primary: New selection owner: 52428801
spice-vdagent[1605]: 0x55e343a6bdc0 sent clipboard request, arg1: 1, arg2: 1, size 0
spice-vdagent[1605]: 0x55e343a6bdc0 received clipboard data, arg1: 1, arg2: 1, size 183
spice-vdagent[1605]: 0x55e343a6bdc0 received clipboard release, arg1: 0, arg2: 0, size 0
spice-vdagent[1605]: clipboard: received release while not owning client clipboard
spice-vdagent[1605]: 0x55e343a6bdc0 received clipboard grab, arg1: 0, arg2: 0, size 4
spice-vdagent[1605]: clipboard: New selection owner: 52428801
spice-vdagent[1605]: clipboard: sent 5 targets:
spice-vdagent[1605]: clipboard: TARGETS
spice-vdagent[1605]: clipboard: UTF8_STRING
spice-vdagent[1605]: clipboard: text/plain;charset=UTF-8
spice-vdagent[1605]: clipboard: text/plain;charset=utf-8
spice-vdagent[1605]: clipboard: STRING
spice-vdagent[1605]: 0x55e343a6bdc0 sent clipboard request, arg1: 0, arg2: 1, size 0
spice-vdagent[1605]: 0x55e343a6bdc0 received clipboard data, arg1: 0, arg2: 1, size 183
spice-vdagent[1605]: clipboard: sent 5 targets:
spice-vdagent[1605]: clipboard: TARGETS
spice-vdagent[1605]: clipboard: UTF8_STRING
spice-vdagent[1605]: clipboard: text/plain;charset=UTF-8
spice-vdagent[1605]: clipboard: text/plain;charset=utf-8
spice-vdagent[1605]: clipboard: STRING
spice-vdagent[1605]: clipboard: sent 5 targets:
spice-vdagent[1605]: clipboard: TARGETS
spice-vdagent[1605]: clipboard: UTF8_STRING
spice-vdagent[1605]: clipboard: text/plain;charset=UTF-8
spice-vdagent[1605]: clipboard: text/plain;charset=utf-8
spice-vdagent[1605]: clipboard: STRING
spice-vdagent[1605]: 0x55e343a6bdc0 sent clipboard request, arg1: 0, arg2: 1, size 0
spice-vdagent[1605]: 0x55e343a6bdc0 received clipboard data, arg1: 0, arg2: 1, size 183
spice-vdagent[1605]: 0x55e343a6bdc0 sent clipboard request, arg1: 0, arg2: 1, size 0
spice-vdagent[1605]: 0x55e343a6bdc0 received clipboard data, arg1: 0, arg2: 1, size 183
spice-vdagent[1605]: 0x55e343a6bdc0 sent clipboard request, arg1: 0, arg2: 1, size 0
spice-vdagent[1605]: 0x55e343a6bdc0 received clipboard data, arg1: 0, arg2: 1, size 183
spice-vdagent[1605]: 0x55e343a6bdc0 sent clipboard request, arg1: 0, arg2: 1, size 0
spice-vdagent[1605]: 0x55e343a6bdc0 received clipboard data, arg1: 0, arg2: 1, size 183
...


# xrandr --display :0
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
Virtual-0 disconnected
Virtual-1 disconnected
Virtual-2 disconnected
Virtual-3 disconnected


$ killall spice-vdagent

...
spice-vdagent[1605]: 0x55e343a6bdc0 disconnected


# xrandr --display :0
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
Virtual-0 disconnected
Virtual-1 disconnected
Virtual-2 disconnected
Virtual-3 disconnected


After the display once lost, 2nd X session is impossible, w/ or w/o spice-vdagent.

An exception exists if used xrandr setup via lightdm/display-setup-script, see comment 2.
However mouse -is- lost, despite xrandr routine.
Comment 15 poma 2015-10-11 19:27:57 EDT
With regard to this problem,
tested kernels - within domains/guests,
within qemu-2.3.1-7.fc22 on Fedora 22 host & 
qemu-2.4.0.1-1.fc24 on Rawhide host, are:

BROKEN:
- 4.3.0-0.rc4.git3.1.fc24.x86_64
- 4.3.0-0.rc4.git0.1.fc24.x86_64
- 4.3.0-0.rc3.git1.1.fc24.x86_64
- 4.3.0-0.rc2.git0.1.fc24.x86_64
- 4.3.0-0.rc1.git0.1.fc24.x86_64
- 4.3.0-0.rc0.git9.1.fc24.x86_64
- 4.3.0-0.rc0.git8.1.fc24.x86_64

OK:
+ 4.3.0-0.rc0.git7.1.fc24.x86_64
+ 4.3.0-0.rc0.git6.1.fc24.x86_64
+ 4.3.0-0.rc0.git5.1.fc24.x86_64
+ 4.2.0-0.rc8.git3.1.fc24.x86_64
+ 4.2.0-1.fc24.x86_64
+ 4.2.3-200.fc22.x86_64
Comment 16 poma 2015-10-12 00:06:38 EDT
diff
--- linux-4.3.0-0.rc0.git7.1.fc22.x86_64/drivers/input/misc/uinput.c
+++ linux-4.3.0-0.rc0.git8.1.fc22.x86_64/drivers/input/misc/uinput.c
&
--- vanilla-4.2-git7/drivers/input/misc/uinput.c
+++ vanilla-4.2-git8/drivers/input/misc/uinput.c
@@ -320,10 +320,8 @@
         * Check if absmin/absmax/absfuzz/absflat are sane.
         */
 
-       for (cnt = 0; cnt < ABS_CNT; cnt++) {
+       for_each_set_bit(cnt, dev->absbit, ABS_CNT) {
                int min, max;
-               if (!test_bit(cnt, dev->absbit))
-                       continue;
 
                min = input_abs_get_min(dev, cnt);
                max = input_abs_get_max(dev, cnt);
@@ -41[67],7 +41[45],7 @@
        dev->id.product = user_dev->id.product;
        dev->id.version = user_dev->id.version;
 
-       for (i = 0; i < ABS_CNT; i++) {
+       for_each_set_bit(i, dev->absbit, ABS_CNT) {
                input_abs_set_max(dev, i, user_dev->absmax[i]);
                input_abs_set_min(dev, i, user_dev->absmin[i]);
                input_abs_set_fuzz(dev, i, user_dev->absfuzz[i]);
Comment 17 poma 2015-10-12 00:13:21 EDT
--- a/drivers/input/misc/uinput.c
+++ b/drivers/input/misc/uinput.c
@@ -320,8 +320,10 @@
 	 * Check if absmin/absmax/absfuzz/absflat are sane.
 	 */
 
-	for_each_set_bit(cnt, dev->absbit, ABS_CNT) {
+	for (cnt = 0; cnt < ABS_CNT; cnt++) {
 		int min, max;
+		if (!test_bit(cnt, dev->absbit))
+			continue;
 
 		min = input_abs_get_min(dev, cnt);
 		max = input_abs_get_max(dev, cnt);


Revert to working state as in 4.3.0-0.rc0.git7.1.fc24.x86_64 i.e. commit ba4e9a6
https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/input/misc/uinput.c?id=ba4e9a6
non effetto positivo.
Comment 18 poma 2015-10-12 19:22:17 EDT
Omitted "i18n" dracut module will do the trick for a Host-Only initramfs image.

/etc/dracut.conf.d/custom.conf
omit_dracutmodules+=" i18n "

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/usr/lib/dracut/dracut.conf.d/01-dist.conf 
# dracut config file customized for RedHat/Fedora.

# i18n
i18n_vars="/etc/sysconfig/keyboard:KEYTABLE-KEYMAP /etc/sysconfig/i18n:SYSFONT-FONT,FONTACM-FONT_MAP,FONT_UNIMAP"
i18n_default_font="eurlatgr"
i18n_install_all="yes"


stdloglvl=3
sysloglvl=5
install_optional_items+=" vi /etc/virc ps grep cat rm "
prefix="/"
systemdutildir=/usr/lib/systemd
systemdsystemunitdir=/usr/lib/systemd/system
systemdsystemconfdir=/etc/systemd/system
udevdir=/usr/lib/udev
hostonly="yes"
hostonly_cmdline="no"
early_microcode="yes"

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/usr/lib/dracut/modules.d/10i18n/README
...
1. Hostonly vs Generic

If you invoke dracut with '-H' option, i18n module install script will
gather variables values from your configuration files using mappings
provided in "/etc/dracut.conf.d/<foo>.conf".  Those variables will be
put in "etc/vconsole.conf" and "etc/locale.conf" files inside initramfs
image. Next it will install only declared font, keymaps and so.

When building generic image (dracut without '-H' option), install script
copies all content of directories: consolefonts, consoletrans, unimaps
and keymaps to image.  Take into account that's about 4 MiB.
...
Comment 19 poma 2015-10-12 19:26 EDT
Created attachment 1082164 [details]
initramfs-4.3.0-0.rc4.git3.1.fc24.x86_64.img.diff

diff
initramfs-4.3.0-0.rc4.git3.1.fc24.x86_64-omit-i18n.img
initramfs-4.3.0-0.rc4.git3.1.fc24.x86_64.img
Comment 20 poma 2015-10-12 19:34:57 EDT
It turns out that in case of the SPICE remote computing protocol - if "vga=" higher than standard 80x25 mode is used - works all or nothing for "i18n" dracut module, for the "hostonly" mode.
Comment 21 poma 2015-10-12 19:39:36 EDT
Pardon me,
works "nothing" regarding "i18n" dracut module, for the "hostonly" mode.
Comment 22 Harald Hoyer 2015-10-13 08:38:26 EDT
Maybe "setfont" breaks it? Maybe replace setfont temporarily with a shell script and retry.
Comment 23 Harald Hoyer 2015-10-13 08:38:52 EDT
(In reply to Harald Hoyer from comment #22)
> Maybe "setfont" breaks it? Maybe replace setfont temporarily with a shell
> script and retry.

or replace setfont with /bin/true.
Comment 24 poma 2015-10-13 20:42:37 EDT
(In reply to Harald Hoyer from comment #23)
> (In reply to Harald Hoyer from comment #22)
> > Maybe "setfont" breaks it? Maybe replace setfont temporarily with a shell
> > script and retry.
> 
> or replace setfont with /bin/true.


diff --git a/modules.d/10i18n/console_init.sh b/modules.d/10i18n/console_init.sh
index 2536f14..00e9900 100755
--- a/modules.d/10i18n/console_init.sh
+++ b/modules.d/10i18n/console_init.sh
@@ -51,7 +51,7 @@ set_font() {
     [ -n "${FONT_MAP}" ] && trans="-m ${FONT_MAP}"
     [ -n "${FONT_UNIMAP}" ] && uni="-u ${FONT_UNIMAP}"
 
-    setfont ${FONT} -C ${dev} ${trans} ${uni}
+    /bin/true ${FONT} -C ${dev} ${trans} ${uni}
 }
 
 dev_close() {


Same as before.
Comment 25 poma 2015-10-14 09:17:25 EDT
# >console_init.sh
# >parse-i18n.sh

and it is still broken.
So, whatever happens, it is in 'module-setup.sh'.
Comment 26 Harald Hoyer 2015-10-14 11:08:36 EDT
(In reply to poma from comment #24)
> (In reply to Harald Hoyer from comment #23)
> > (In reply to Harald Hoyer from comment #22)
> > > Maybe "setfont" breaks it? Maybe replace setfont temporarily with a shell
> > > script and retry.
> > 
> > or replace setfont with /bin/true.
> 
> 
> diff --git a/modules.d/10i18n/console_init.sh
> b/modules.d/10i18n/console_init.sh
> index 2536f14..00e9900 100755
> --- a/modules.d/10i18n/console_init.sh
> +++ b/modules.d/10i18n/console_init.sh
> @@ -51,7 +51,7 @@ set_font() {
>      [ -n "${FONT_MAP}" ] && trans="-m ${FONT_MAP}"
>      [ -n "${FONT_UNIMAP}" ] && uni="-u ${FONT_UNIMAP}"
>  
> -    setfont ${FONT} -C ${dev} ${trans} ${uni}
> +    /bin/true ${FONT} -C ${dev} ${trans} ${uni}
>  }
>  
>  dev_close() {
> 
> 
> Same as before.

no.. the real binary. It's called from systemd-vconsole-setup nowadays. The shell script is only used, if it is a non-systemd system.

# mv /bin/setfont /bin/setfont.bak
# cp /bin/true /bin/setfont
# dracut --force
# mv /bin/setfont.bak /bin/setfont
Comment 27 poma 2015-10-14 18:45:45 EDT
(In reply to Harald Hoyer from comment #26)
> (In reply to poma from comment #24)
> > (In reply to Harald Hoyer from comment #23)
> > > (In reply to Harald Hoyer from comment #22)
> > > > Maybe "setfont" breaks it? Maybe replace setfont temporarily with a shell
> > > > script and retry.
> > > 
> > > or replace setfont with /bin/true.
> > 
> > 
> > diff --git a/modules.d/10i18n/console_init.sh
> > b/modules.d/10i18n/console_init.sh
> > index 2536f14..00e9900 100755
> > --- a/modules.d/10i18n/console_init.sh
> > +++ b/modules.d/10i18n/console_init.sh
> > @@ -51,7 +51,7 @@ set_font() {
> >      [ -n "${FONT_MAP}" ] && trans="-m ${FONT_MAP}"
> >      [ -n "${FONT_UNIMAP}" ] && uni="-u ${FONT_UNIMAP}"
> >  
> > -    setfont ${FONT} -C ${dev} ${trans} ${uni}
> > +    /bin/true ${FONT} -C ${dev} ${trans} ${uni}
> >  }
> >  
> >  dev_close() {
> > 
> > 
> > Same as before.
> 
> no.. the real binary. It's called from systemd-vconsole-setup nowadays. The
> shell script is only used, if it is a non-systemd system.
> 
> # mv /bin/setfont /bin/setfont.bak
> # cp /bin/true /bin/setfont
> # dracut --force
> # mv /bin/setfont.bak /bin/setfont

That works.
Comment 28 Harald Hoyer 2015-10-14 18:54:17 EDT
(In reply to poma from comment #27)
> > # mv /bin/setfont /bin/setfont.bak
> > # cp /bin/true /bin/setfont
> > # dracut --force
> > # mv /bin/setfont.bak /bin/setfont
> 
> That works.

So, the bug is in the virtualization not being able to handle the setfont.
Please reassign!
Comment 29 Harald Hoyer 2015-10-14 18:55:43 EDT
or maybe "vgamem_mb=16" is too small
Comment 30 poma 2015-10-15 03:10:59 EDT
(In reply to Harald Hoyer from comment #29)
> or maybe "vgamem_mb=16" is too small

/etc/libvirt/qemu/<domain>.xml
<model type='qxl' ram='65536' vram='65536' vgamem='32768' heads='1'/>

/usr/bin/qemu-system-x86_64 ...
-device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,vgamem_mb=32,bus=pci.0,addr=0x2

and it is still broken.
Comment 31 poma 2015-10-15 03:13:09 EDT
(In reply to Harald Hoyer from comment #28)
> (In reply to poma from comment #27)
> > > # mv /bin/setfont /bin/setfont.bak
> > > # cp /bin/true /bin/setfont
> > > # dracut --force
> > > # mv /bin/setfont.bak /bin/setfont
> > 
> > That works.
> 
> So, the bug is in the virtualization not being able to handle the setfont.
> Please reassign!

Christophe?
Comment 32 Christophe Fergeau 2015-10-15 04:29:47 EDT
If I followed correctly, this also ends up being related to https://bugzilla.redhat.com/show_bug.cgi?id=1271153#c24 ?
Comment 33 poma 2015-10-15 05:37:16 EDT
(In reply to Christophe Fergeau from comment #32)
> If I followed correctly, this also ends up being related to
> https://bugzilla.redhat.com/show_bug.cgi?id=1271153#c24 ?

Please read
https://bugzilla.redhat.com/show_bug.cgi?id=1271153#c27
Comment 34 poma 2016-01-13 03:40:15 EST
Why is Component: dracut still selected, is the expected fix coming from dracut?
Comment 35 poma 2016-01-13 03:49:11 EST
Mister Ziglio care to comment,
why "vga=" higher than standard 80x25 mode is fateful for the qxl, thereupon the mouse?

# dmesg | grep qxl
[    6.030961] [drm] qxl: 64M of VRAM memory size
[    6.047070] [drm] qxl: 127M of IO pages memory ready (VRAM domain)
[    6.060631] [drm] qxl: 64M of Surface memory size
[    6.235863] fb: switching to qxldrmfb from VESA VGA
[    6.254655] fbcon: qxldrmfb (fb0) is primary device
[    6.267744] [drm:qxl_enc_commit [qxl]] *ERROR* head number too large or missing monitors config: ffffc9000052c000, 0
[    6.272811] qxl 0000:00:02.0: fb0: qxldrmfb frame buffer device
[    6.334192] [drm] Initialized qxl 0.1.0 20120117 for 0000:00:02.0 on minor 0
[   24.273480] [drm:qxl_enc_commit [qxl]] *ERROR* head number too large or missing monitors config: ffffc9000052c000, 0


# DISPLAY=:0 xrandr 
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
Virtual-0 disconnected
Virtual-1 disconnected
Virtual-2 disconnected
Virtual-3 disconnected
Comment 36 poma 2016-01-16 04:16:25 EST
vga and qxl are actually part of the kernel family therefore.
Comment 37 poma 2016-01-29 11:18:01 EST
In the lack of response,
bye.

Note You need to log in before you can comment on or make changes to this bug.